Overview | Package | Class | Use | Tree | Deprecated | Index | Help
| Oracle Application Development Framework Model Java API Reference 10g Release 3 (10.1.3) B25778-01
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## oracle.binding.meta
Interface AccessorDefinition

All Superinterfaces:
  AttributeDefinition, Definition, NamedDefinition, VariableDefinition

public interface AccessorDefinition
extends AttributeDefinition

Interface for holding accessor metadata. Accessor is an attribute that returns a collection.

Field Summary

Fields inherited from interface oracle.binding.meta.Definition
`TYPE_ACCESSOR, TYPE_ATTRIBUTE, TYPE_DATACONTROL, TYPE_DEFINITION, TYPE_DEFINITIONCONTEXT, TYPE_METHODRETURN, TYPE_NAMED, TYPE_OPERATION, TYPE_PARAMETER, TYPE_STRUCTURE, TYPE_VARIABLE`

Method Summary
`StructureDefinition` | `getCollectionStructure()` Retrieves the metadata of the collection itself.
`NamedDefinition` | `getParentAccessor()` Retrieves the AccessorDefinition of the parent accessor.
`StructureDefinition` | `getStructure()` Retrieves the metadata of the elements that the accessor collection contains.
`boolean` | `isCollection()` Since an accessor can return a structured object (or a collection).
`boolean` | `isScalarCollection()` Returns true if the accessor returns a collection of scalars.

Methods inherited from interface oracle.binding.meta.AttributeDefinition
`getSourceTypeString, isKey, isReadOnly`

Methods inherited from interface oracle.binding.meta.VariableDefinition
`getDataControlDefinition, getJavaTypeString`

Methods inherited from interface oracle.binding.meta.NamedDefinition
`getDefinitionParent, getFullName, getName, getProperties, getProperty`

Methods inherited from interface oracle.binding.meta.Definition
`getDefinitionType`

Method Detail

### isCollection

    public boolean isCollection()

  Since an accessor can return a structured object (or a collection). This function should return true when the accessor represents a collection.
  Returns:
    true if the accessor is a collection, false if it is a simple object such as a String or an int.

### isScalarCollection

    public boolean isScalarCollection()

  Returns true if the accessor returns a collection of scalars. Scalars are simple types that are not structured and are not collections.
  Returns:
    true if the accessor is a collection of scalars, false otherwise.

### getStructure

    public StructureDefinition getStructure()

  Retrieves the metadata of the elements that the accessor collection contains.
  Returns:
    The metadata describing the structure of the elements in the accessor collection.

### getCollectionStructure

    public StructureDefinition getCollectionStructure()

  Retrieves the metadata of the collection itself. It is possible that the collection itself has operations defined, such as if the collection is a class that implements a java.util.Collection interface and contains methods for searching through its elements. Please note that this is different from the getStructure API, which returns the metadata of the collection elements.
  Returns:
    The metadata describing the structure of the collection, or null if there is none available for the collection.

### getParentAccessor

    public NamedDefinition getParentAccessor()

  Retrieves the AccessorDefinition of the parent accessor. A parent accessor is the accessor from which this accessor is obtained from. For example, we have a Dept structure, which contains an accessor called emps that returns a collection of Employee. Each Employee structure in turn contains an accessor called address that returns a structured type Address. The parent accessor of address would be the accessor emps in the Dept structure.
  Returns:
    The definition of the parent accessor.

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
| Oracle Application Development Framework Model Java API Reference 10g Release 3 (10.1.3) B25778-01
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Copyright © 1997, 2005, Oracle. All rights reserved.